Projects

Update project

Update project configuration (name, description, settings). **Settings toggles:** **requireEmailVerification** (default true) — when on, new email signups do not get a token until they verify; login is blocked until verified. **requirePhoneVerification** (default false) — when on, phone/OTP users must verify before token. **defaultUserAccountStatus** — **active** (default) or **pending**; when pending, new users must be approved by org owner/admin before they can perform data/storage operations. Requires JWT Bearer token authentication. Both OrgBearerAuth and ProjectBearerAuth are supported (they use the same JWT token format). These are organization-level operations.

AuthBearer (JWT)
GroupProjects
Rate limitSee Rate Limits
PATCH/api/projects/{orgId}/projects/{id}

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, ProjectsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const projects = new ProjectsApi(configuration);
import { Configuration, ProjectsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const projects = new ProjectsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await projects.updateProject(
  "org_rEq9a38YVQ",
  "466kcuagBNA6rc8k",
  {
    name: "Brisa Zulauf",
    description: "New red Chips with ergonomic design for cluttered comfort",
    logoUrl: "https://sugary-eyeliner.org",
    settings: "array transmit",
    auth: "firewall back up"
  }
);
const { data: result } = await projects.updateProject(
  "org_rEq9a38YVQ",
  "466kcuagBNA6rc8k",
  {
    name: "Brisa Zulauf",
    description: "New red Chips with ergonomic design for cluttered comfort",
    logoUrl: "https://sugary-eyeliner.org",
    settings: "array transmit",
    auth: "firewall back up"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
orgIdstringYesOrganization ID
idstringYesProject ID

Request Body

json
{
  "name": "Mudbase Platform",
  "description": "Main platform for Mudbase services",
  "logoUrl": "https://sturdy-contractor.net/",
  "settings": {
    "requireEmailVerification": true,
    "requirePhoneVerification": false,
    "defaultUserAccountStatus": "active"
  },
  "auth": {
    "providers": [
      {
        "name": "Hailee Heathcote",
        "enabled": true,
        "config": {}
      }
    ],
    "notifyOnNewSignIn": false
  }
}
{
  "name": "Mudbase Platform",
  "description": "Main platform for Mudbase services",
  "logoUrl": "https://sturdy-contractor.net/",
  "settings": {
    "requireEmailVerification": true,
    "requirePhoneVerification": false,
    "defaultUserAccountStatus": "active"
  },
  "auth": {
    "providers": [
      {
        "name": "Hailee Heathcote",
        "enabled": true,
        "config": {}
      }
    ],
    "notifyOnNewSignIn": false
  }
}

Responses

200Project updated
json
{
  "message": "Project updated successfully",
  "project": {
    "_id": "685ad30be129932fbb7a1047",
    "name": "Updated Project Name",
    "description": "Updated project description",
    "slug": "updated-project",
    "org": "685acbe0e129932fbb7a0fc3",
    "apiKey": "pk_live_abc123xyz789",
    "updatedAt": "2024-01-15T11:00:00.000Z"
  }
}
{
  "message": "Project updated successfully",
  "project": {
    "_id": "685ad30be129932fbb7a1047",
    "name": "Updated Project Name",
    "description": "Updated project description",
    "slug": "updated-project",
    "org": "685acbe0e129932fbb7a0fc3",
    "apiKey": "pk_live_abc123xyz789",
    "updatedAt": "2024-01-15T11:00:00.000Z"
  }
}
Edit this page on GitHub